create table ebdd_list_personal_column
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  page_id bigint comment '页面id' ,
  comp_id varchar(100) comment '组件id' ,
  user_id bigint comment '人员id' ,
  list_column_id varchar(100) comment '显示列id' ,
  list_column_name varchar(200) comment '显示列名称' ,
  dsp_order int comment '顺序' ,
  is_show int comment '是否显示' ,
  sub_form_name varchar(100) comment '所属明细表名' ,
  sub_form_id varchar(100) comment '所属明细表id' ,
  column_fixed int comment '锁定列' ,
  freeze_checked int comment '个性化设置锁定列' ,
  freeze_order int comment '个性化设置锁定列排序' ,
  module_key varchar(100) comment '模块标识' 
)
;

create index idx_ebdd_plc_tk_cff45251 on ebdd_list_personal_column(tenant_key)
;

create index idx_ebdd_plc_dt_6507aee4 on ebdd_list_personal_column(update_time,delete_type)
;

create table ebdd_list_personal_button
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  page_id bigint comment '页面id' ,
  comp_id varchar(100) comment '组件id' ,
  user_id bigint comment '人员id' ,
  button_id varchar(100) comment '按钮id' ,
  button_name varchar(200) comment '按钮名称' ,
  dsp_order int comment '顺序' ,
  quick_show int comment '快捷显示' ,
  button_key varchar(100) comment '按钮key值' ,
  module_key varchar(100) comment '模块标识' 
)
;

create index idx_ebdd_pb_tk_5a0a0645 on ebdd_list_personal_button(tenant_key)
;

create index idx_ebdd_pb_dt_83b61686 on ebdd_list_personal_button(update_time,delete_type)
;

create table ebdd_list_personal_tab
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  page_id bigint comment '页面id' ,
  comp_id varchar(100) comment '组件id' ,
  user_id bigint comment '人员id' ,
  tab_id varchar(100) comment 'tab页id' ,
  tab_name varchar(200) comment 'tab页名称' ,
  dsp_order int comment '顺序' ,
  is_show int comment '是否显示' ,
  module_key varchar(100) comment '模块标识' 
)
;

create index idx_ebdd_pt_tk_0775f6bg on ebdd_list_personal_tab(tenant_key)
;

create index idx_ebdd_pt_dt_2ebc5cb4 on ebdd_list_personal_tab(update_time,delete_type)
;

create table ebdd_list_personalization
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  page_id bigint comment '页面Id' ,
  comp_id varchar(100) comment '组件id' ,
  user_id bigint comment '人员id' ,
  tab_style varchar(10) comment 'tab页样式' ,
  group_id varchar(100) comment 'tab所属groupid' ,
  module_key varchar(100) comment '模块标识' 
)
;

create index idx_ebdd_pl_tk_ea4b39c5 on ebdd_list_personalization(tenant_key)
;

create index idx_ebdd_pl_dt_d6cef976 on ebdd_list_personalization(update_time,delete_type)
;