create table ebdd_page_dataset
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  page_id bigint comment '页面id' ,
  name varchar(100) comment '名称' ,
  datasource longtext comment '数据源' ,
  filter longtext comment '过滤条件' ,
  remark varchar(100) comment '备注' ,
  fields longtext comment '显示字段' ,
  uuid varchar(50) comment 'uuid' ,
  filter_is_null int comment '空变量是否参与条件过滤' 
)
;

create index idx_dataset_tenant_key on ebdd_page_dataset(tenant_key)
;

create index idx_dataset_page_id on ebdd_page_dataset(page_id)
;

create index idx_dataset_creator on ebdd_page_dataset(creator)
;

create index idx_dataset_del on ebdd_page_dataset(delete_type)
;

create index idx_dataset_uptime on ebdd_page_dataset(update_time)
;